/*******************************************************************************
 * Copyright (c) 2017 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
var currProgress = 0;
var done = false;
var m_total = 0;
var m_tmInt = 0;
var m_interVal = 0;

function runProgress(total, tmInt) {
	m_tmInt = tmInt;
	m_total = total;
	m_interVal = m_tmInt/ m_total*100;
	currProgress = 0;
	var prBarFrame = document.getElementById("progFrame");
	prBarFrame.style.display = "block";
	startProgress();
}

function startProgress() {
	
	var prBar = document.getElementById("prog");
	//var startButt = document.getElementById("startBtn");
	//var val = document.getElementById("numValue");
	//startButt.disabled = true;
	prBar.value = currProgress;
	prBar.style.width = (currProgress+m_interVal)+"%";
	//val.innerHTML = Math.round((currProgress / total) * 100) + "%";
	currProgress=currProgress+m_interVal;
	if (currProgress > 100) {
		var prBarFrame = document.getElementById("progFrame");
		prBarFrame.style.display = "none";
		done = true;
	}
	if (!done)
		setTimeout("startProgress()", m_tmInt);
	else {
		//document.getElementById("startBtn").disabled = false;
		done = false;
		currProgress = 0;
	}
}

function stopProgress() {
	var prBarFrame = document.getElementById("progFrame");
	prBarFrame.style.display = "none";
	done = true;
}
